@import "bourbon/bourbon";
@import "icons";
@import "variables_mixins";

// BUGFIX

// ie background reload bug

html {
	filter: expression(document.execCommand("BackgroundImageCache", false, true));
}

// firefox dotted link border

a:-moz-any-link:focus {
	outline: none;
}

// BASIC

html,
body {
	@include reset;
}

body {
	color: lighten($black, 10%);
	font-family: Arial, Helvetica, sans-serif;
	font-size: 14px;
}

html body.custom-background {
	background: {
		position: center top !important;
		repeat: no-repeat !important;
		size: cover !important;
		attachment: fixed !important;
	}
}

// LAYOUT

.middle {
	padding: 0 30px;
	width: 960px;
	margin: 0 auto;
	background-color: $white;
	@include clearfix;
	
	body.custom-background & {
		@include shadow(0, 0, 15px, 0, rgba($black, 0.333));
	}
}

#content {
	padding-bottom: 30px;
}

// TEXT

@for $i from 1 through 6 {
	h#{$i} {
		@include comforta(
			$weight: 700,
			$size: 31.5px-$i*2.5
		);
	}
}

a {
	color: $red;
	text-decoration: none;
}

// IMAGES

#content {
	.alignleft,
	.alignright {
		display: inline;
		clear: both;
	}
	
	.alignleft {
		float: left;
		margin: 3px 20px 11px 0;
	}

	.alignright {
		float: right;
		margin: 3px 0 11px 20px;
	}
}

// MAP

#map {
	float: none;
	clear: both;
	margin: {
		top: 25px;
		bottom: 10px;
	}
	border: 10px solid lighten($black, 18%);
	height: 300px;
	
	@include border-radius(8px);
}

.geoSpan {
	display: none;
}

// QR

#qr {
	float: right;
	width: 275px;
	margin-bottom: 20px;
	padding: 10px;
	background-color: lighten($black, 18%);
	
	@include border-radius(8px);
	
	span {
		margin-bottom: 10px;
		color: $white;
		display: block;
	}
	
	img {
		display: block;
		width: 100%;
		height: auto;
		
	}
}

// NIVO SLIDER

.nivo-caption {
	display: none !important;
}

.nivoSlider IMG {
	height: 380px !important;
}

// HEADER

@import "header";

// CONTENT

@import "part_breadcrumbs";
@import "part_product_grid";
@import "part_product";
@import "part_size_tables";
@import "part_shop_list";
@import "part_page_numbers";
@import "part_search_resoult";
@import "admin";

// ASIDE

//@import "sidebar";

// FOOTER

@import "footer";

// RESET (system, plugin, etc. default css)

body {
	.theme-default .nivoSlider {
		@include shadow(0, 0, 0, 0, transparent);
	}
}
